Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.crypto
Class ARCFOUREncryption

    java.lang.Object
      com.lowagie.text.pdf.crypto.ARCFOUREncryption

    public class ARCFOUREncryption

extends Object

Field Summary
`private byte[]` | `state`
`private int` | `x`
`private int` | `y`

Constructor Summary
`ARCFOUREncryption()` Creates a new instance of ARCFOUREncryption

Method Summary
`void` | `encryptARCFOUR(byte[] data)`
`void` | `encryptARCFOUR(byte[] dataIn, byte[] dataOut)`
`void` | `encryptARCFOUR(byte[] data, int off, int len)`
`void` | `encryptARCFOUR(byte[] dataIn, int off, int len, byte[] dataOut, int offOut)`
`void` | `prepareARCFOURKey(byte[] key)`
`void` | `prepareARCFOURKey(byte[] key, int off, int len)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    private byte[] state

### x

    private int x

### y

    private int y

Constructor Detail

### ARCFOUREncryption

    public ARCFOUREncryption()

  Creates a new instance of ARCFOUREncryption

Method Detail

### prepareARCFOURKey

    public void prepareARCFOURKey(byte[] key)

### prepareARCFOURKey

    public void prepareARCFOURKey(byte[] key,
                                  int off,
                                  int len)

### encryptARCFOUR

    public void encryptARCFOUR(byte[] dataIn,
                               int off,
                               int len,
                               byte[] dataOut,
                               int offOut)

### encryptARCFOUR

    public void encryptARCFOUR(byte[] data,
                               int off,
                               int len)

### encryptARCFOUR

    public void encryptARCFOUR(byte[] dataIn,
                               byte[] dataOut)

### encryptARCFOUR

    public void encryptARCFOUR(byte[] data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD